from setuptools import setup, find_packages

with open("README.md", "r", encoding="utf-8") as fh:
    long_description = fh.read()

setup(
    name='teledown',
    version='0.0.1',
    author='Kavidu Dilhara',
    author_email='contact@kavidudilhara.eu.org',
    description='A Python package for downloading media from Telegram',
    long_description=long_description,
    long_description_content_type="text/markdown",
    url='https://github.com/kavidu-dilhara/TeleDown',
    packages=find_packages(),
    install_requires=[
        'telethon',
        'tqdm',
        'python-dotenv',
        'pyfiglet'
    ],
    entry_points={
        'console_scripts': [
            'teledown = teledown.teledown:main'
        ]
    },
    classifiers=[
        'Development Status :: 3 - Alpha',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: MIT License',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.6',
        'Programming Language :: Python :: 3.7',
        'Programming Language :: Python :: 3.8',
        'Programming Language :: Python :: 3.9',
        'Operating System :: OS Independent',
    ],
    keywords='telegram downloader media python',
    project_urls={
        'Bug Reports': 'https://github.com/kavidu-dilhara/TeleDown/issues',
        'Source': 'https://github.com/kavidu-dilhara/TeleDown',
    },
)
